[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'strutils' (#rtl)

# LeftBStr

Copies Count characters starting at the left of a string.

## Declaration

Source position: strutils.pp line 71

`function LeftBStr(`
`const AText: AnsiString;`
`const AByteCount: Integer`
`):AnsiString;`

## Arguments

`AText` |  | String to copy characters from.
`AByteCount` |  | Number of characters to copy.

## Function result

First N characters of the string.

## Description

LeftBStr returns a string containing the leftmost AByteCount bytes from the string AText . If AByteCount is larger than the length (in bytes) of AText , only as many bytes as available are returned.

## Errors

None.

## See also

LeftStr |  | Copies Count characters starting at the left of a string.
AnsiLeftStr |  | Copies a number of characters starting at the left of a string
RightBStr |  | Copy a given number of characters (bytes), counting from the right of a string.
MidBStr |  | Copies a number of characters starting at a given position in a string.

Documentation generated on: Feb 26 2014